Bug 391211 - Fedora 8 install problem as Xen guest under Fedora Core 6.
Fedora 8 install problem as Xen guest under Fedora Core 6.
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-19 18:26 EST by BobT
Modified: 2008-01-10 22:53 EST (History)
0 users

See Also:
Fixed In Version: python-virtinst-0.200.0-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-10 22:53:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description BobT 2007-11-19 18:26:37 EST
Description of problem:
F8 has a problem being installed as a guest of FC6 due to the folder that
formerly was called "Fedora" on the x86_64 install DVD image is now called

Version-Release number of selected component (if applicable):

How reproducible:
Happens every time.

Steps to Reproduce:
1. Set up a Fedora Core 6 Xen system (other versions may fail too).
2. Download Fedora-8-x86_64-DVD.iso, burn a DVD, then copy the files from the
DVD to a folder on the host system. Set up an NFS share from that folder.
3. Run the host's vertual machine manager, and attempt to install F8 using the
NFS share.
Actual results:
Immediately after installation starts the installer reports that an unspecified
file is missing.

Expected results:
The installation of F8 would proceed and result in an F8 virtual machine,

Additional info:
The problem appears to be that the virtual machine manager is looking for a
folder named "Fedora" in the install directory. Comparing the F7 and F8
installations, it looks like the F7 "Fedora" folder (which contains packages)
has been renamed to F8, breaking the F6 virtual machine manager.

A workaround is to create a "Fedora" symlink folder pointing to the Packages
folder. If this is created the installation proceeds correctly. 

I haven't tested to see if F8 fails for an F7 host, but it wouldn't be too
Comment 1 BobT 2007-11-19 18:29:56 EST
Should read "...it looks like the F7 "Fedora" folder (which contains packages)
has been renamed to "Packages" in F8, breaking the F6 virtual machine manager.

(and "vertual" is a typo for "virtual".)
Comment 2 Daniel Berrange 2007-11-20 07:46:58 EST
I've submitted an update to fix this issue. It should appear in updates-testing
within a day or so


Note You need to log in before you can comment on or make changes to this bug.